| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Enumerations
Bimage.h File Reference

Header file for image class. More...

`#include <time.h>`
`#include "json.h"`
`#include "string_util.h"`
`#include "Bstring.h"`
`#include "Complex.h"`
`#include "fft.h"`
`#include "FSI_Kernel.h"`
`#include "Vector3.h"`
`#include "View.h"`
`#include "Color.h"`
`#include "UnitCell.h"`
`#include "symmetry.h"`
`#include "ps_plot.h"`
`#include "Bsuperpixel.h"`
`#include <fstream>`

Go to the source code of this file.

## Classes
union | TypePointer
class | Bsub_image
| General sub-image parameter class. More...
class | Bimage
| General image parameter class. More...

## Macros
#define | NPOLANG 720
#define | _fouriertype_
#define | _Bimage_

## Enumerations
enum | FourierType { NoTransform = 0, Standard = 1, Centered = 2, Hermitian = 3, CentHerm = 4 }
| Fourier transform format specifier. More...
enum | CompoundType { TSimple = 0, TComplex = 1, TVector3 = 3, TView = 4, TRGB = 10, TRGBA = 11, TCMYK = 12, TMulti = 99 }
| Compound data type specifier. More...

## Detailed Description

Header file for image class.

Author
  Bernard Heymann

Date
  Created: 19990321
  Modified: 20191125

Definition in file Bimage.h.

## Macro Definition Documentation

## ◆ _Bimage_

#define _Bimage_

Definition at line 1385 of file Bimage.h.

## ◆ _fouriertype_

#define _fouriertype_

Definition at line 46 of file Bimage.h.

## ◆ NPOLANG

#define NPOLANG 720

Definition at line 29 of file Bimage.h.

## Enumeration Type Documentation

## ◆ CompoundType

enum CompoundType

Compound data type specifier.

    This determines what compound data type is used in an image.

Enumerator
TSimple |
TComplex |
TVector3 |
TView |
TRGB |
TRGBA |
TCMYK |
TMulti |

Definition at line 57 of file Bimage.h.

## ◆ FourierType

enum FourierType

Fourier transform format specifier.

    Transforms are classified according to where the origin is and whether
    all or only the hermitian half is stored in a file.

Enumerator
NoTransform |
Standard |
Centered |
Hermitian |
CentHerm |

Definition at line 39 of file Bimage.h.